libxi (2:1.8.3-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated to version 5.
  * source: Migrate to format 3.0 (quilt).
  * rules: Drop obsolete dbgsym migration.
  * Remove ChangeLog.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 21 Aug 2026 11:04:39 +0300

libxi (2:1.8.2-2) unstable; urgency=medium

  * Team upload
  * Use Build-Depends: lynx instead of w3m
  * Add debian/gbp.conf
  * Bump debhelper compat to 13
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Dec 2025 20:13:22 -0500

libxi (2:1.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 Sep 2024 10:48:59 +0300

libxi (2:1.8.1-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * control: Drop obsolete Replaces.
  * control: Migrate to pkgconf.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on asciidoc, libx11-dev,
      libxext-dev, libxfixes-dev, xorg-sgml-doctools and xutils-dev.
    + libxi-dev: Drop versioned constraint on xorg-sgml-doctools in Depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Feb 2024 11:12:02 +0200

libxi (2:1.8-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * control: Migrate to x11proto-dev.
  * control: Bump x11proto-dev dependencies.
  * Update README.source for salsa.
  * Add upstream metadata, drop git repo from d/watch.
  * Update symbols.

  [ Simon McVittie ]
  * d/control: Fix Vcs-Git URL. (Closes: #990229)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 Sep 2021 05:01:30 +0300

libxi (2:1.7.10-1) unstable; urgency=medium

  * New upstream release.
  * Migrate to debhelper-compat, bump to 12.
  * Update signing-key.asc.
  * control: Bump policy to 4.5.0.
  * control: Update VCS urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 02 Jun 2020 14:38:30 +0300

libxi (2:1.7.9-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 23 Jan 2017 21:22:47 +0100

libxi (2:1.7.8-2) unstable; urgency=medium

  * Cherry-pick upstream commit 557b6079, don't free an uninitialized
    buffer. Closes: #849026.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 29 Dec 2016 11:22:29 +0100

libxi (2:1.7.8-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
    - Fixes CVE-2016-7945 and CVE-2016-7946 (Closes: #840440).
  * Update d/upstream/signing-key.asc with Matthieu Herrb's key.
  * Update a bunch of URLs in packaging to https.
  * Bump Standards-Version to 3.9.8, no changes needed.

  [ Emilio Pozuelo Monfort ]
  * Acknowledge 2:1.7.6-1.1 NMU.
  * Cherry-pick upstream commit 7ac03c6c to plug a memory leak in the
    security fix.
  * Cherry-pick upstream commit 4c5c8d62, check a buffer was allocated
    before writing to it.
  * Bump debhelper compat to 10.
    + debhelper now calls dh-autoreconf automatically.
    + debhelper now enables --parallel by default.
  * Switch to -dbgsym packages.
  * debhelper passes --disable-silent-rules to configure for us.
  * Drop explicit build target. dh $@ can handle it.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 06 Dec 2016 00:50:24 +0100

libxi (2:1.7.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark libxi-dev as Multi-Arch: same. Closes: #689068.
  * Explicitly specify documentation's anchor ids instead of generating
    non-reproducible ones during the build (Francois Gouget).

 -- Matthias Klose <doko@debian.org>  Thu, 03 Nov 2016 14:52:54 +0100

libxi (2:1.7.6-1) unstable; urgency=medium

  * New upstream release.
  * Remove Drew and Cyril from Uploaders.
  * Fix package descriptions: input hotplugging has been implemented years ago
    (closes: #782987).  Thanks, Paul Wise!

 -- Julien Cristau <jcristau@debian.org>  Sun, 24 Jan 2016 14:15:17 +0100

libxi (2:1.7.5-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
  * Switch to dh with the autoreconf and quilt addons.
  * Fix lintian error: pre-depends-directly-on-multiarch-support libxi6.
  * Let uscan verify tarball signatures.
  * Fix Vcs-* fields.
  * Remove obsolete XC- prefix from Package-Type field.
  * Add upstream url.
  * Bump standards version to 3.9.6.

  [ Julien Cristau ]
  * Delete obsolete debian/xsfbs.

 -- Julien Cristau <jcristau@debian.org>  Tue, 13 Oct 2015 12:29:20 +0200

libxi (2:1.7.4-1) unstable; urgency=low

  * New upstream release.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 21 Jul 2014 09:57:26 +0200

libxi (2:1.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Mon, 12 Aug 2013 18:46:14 +0200

libxi (2:1.7.1.901-1) unstable; urgency=low

  * New upstream release candidate.

  [ Timo Aaltonen ]
  * control: Bump policy to 3.9.4, no changes.
  * control: Bump x11proto-input-dev build-dep to 2.2.99.1.
  * libxi6.symbols: Added new symbols.
  * rules: Bump shlibs.
  * control: Add libfixes-dev to build-deps and libxi-dev Depends.

  [ Julien Cristau ]
  * Use dpkg-buildflags.
  * Disable silent build rules.
  * Bump debhelper compat level to 7.
  * Simplify installing manpages.
  * Fix clean rule for config.h.in.
  * Use dh_prep instead of dh_clean -k.

 -- Julien Cristau <jcristau@debian.org>  Sun, 30 Jun 2013 15:51:02 +0200

libxi (2:1.6.1-1) unstable; urgency=low

  [ Julien Cristau ]
  * Don't require (fake)root for debian/rules clean.

  [ Cyril Brulebois ]
  * New upstream release.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 May 2012 17:00:03 +0200

libxi (2:1.6.0-1) unstable; urgency=low

  [ Chase Douglas ]
  * New upstream release
    - Fix bus error on MIPS N32 (closes: #636920)
  * Bump build deps on x11proto-input-dev
  * Bump lintian standards version to 3.9.3

  [ Julien Cristau ]
  * Pull some more changes from upstream master:
    - Fix wrong button label and mask copy on OS X (fixes regression in the
      patch for bug#636920)
    - Move version comparison into a helper function
    - Set the RawEvent sourceid (#34240)
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Mon, 16 Apr 2012 19:32:32 +0200

libxi (2:1.5.99.2-1) experimental; urgency=low

  * New upstream release candidate:
    - With XI 2.2 support, needed for multitouch.
  * Fix changelog entry for 2:1.4.99.1-1:
    - With XI 2.1 support, no multitouch yet.
  * Bump x11proto-input-dev and libx11-dev build-deps.
  * Update libxi6.symbols with new symbols and bump shlibs.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 22 Dec 2011 14:19:35 +0100

libxi (2:1.5.0-1) experimental; urgency=low

  * New upstream release.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 21 Dec 2011 10:12:07 +0100

libxi (2:1.4.99.1-1) experimental; urgency=low

  * New upstream release candidate:
    - With XI 2.1 support.
  * Update build dependencies accordingly:
    - Bump xutils-dev, x11proto-input-dev, xorg-sgml-doctools.
    - Add xsltproc.
  * Update libxi-dev.install: specs/ and docs/ have been merged.
  * Don't install *.db yet.
  * Add -c4 to dh_makeshlibs.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 15 Dec 2011 15:05:46 +0100

libxi (2:1.4.3-3) unstable; urgency=low

  * Team upload.
  * Don't ship debug symbols for the udeb in libxi6-dbg.
  * Add build-{arch,indep} debian/rules targets.

 -- Julien Cristau <jcristau@debian.org>  Sun, 12 Jun 2011 00:20:23 +0200

libxi (2:1.4.3-2) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Build for multiarch.

  [ Julien Cristau ]
  * Remove David Nusinow from Uploaders.

 -- Julien Cristau <jcristau@debian.org>  Sat, 11 Jun 2011 16:14:32 +0200

libxi (2:1.4.3-1) unstable; urgency=low

  * New upstream release.
  * Add a comment to the series file so that it isn't eaten by
    dpkg-source.
  * Bump Standards-Version (no changes).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 09 Jun 2011 12:08:59 +0200

libxi (2:1.4.2-1) unstable; urgency=low

  [ Julien Cristau ]
  * Bump Standards-Version to 3.9.1 (no changes).

  [ Cyril Brulebois ]
  * New upstream release.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 27 Mar 2011 06:36:41 +0200

libxi (2:1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Use xorg-sgml-doctool's copy of xorg.css.
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Tue, 08 Feb 2011 00:04:32 +0100

libxi (2:1.4.0-1) experimental; urgency=low

  * New upstream release.
  * Update debian/copyright from upstream COPYING.
  * Bump xutils-dev build-dep for new macros.
  * Pass --with-xmlto and --without-fop to configure.
  * Add xmlto, xorg-sgml-doctools, and w3m build-dep accordingly.
  * Switch dh_install from --list-missing to --fail-missing for added
    safety.
  * Get rid of *.xml files before running dh_install.
  * Ship *.html, *.txt, *.css in libxi-dev.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Jan 2011 06:22:37 +0100

libxi (2:1.3-6) unstable; urgency=medium

  * WireToEvent: Set display member of all events as well (cherry-pick from
    upstream).

 -- Julien Cristau <jcristau@debian.org>  Fri, 17 Dec 2010 17:00:44 +0100

libxi (2:1.3-5) unstable; urgency=low

  * Cherry-picked fixes from upstream:
    - man: fix types for XGetSelectedExtensionEvents
    - Initialize extension with the right number of events (obsoletes our
      quilt patch)
    - Don't unlock the Display twice
    - Fix usage of uninitialized value
    - Fix memory leak in XIGetSelectedEvents
    - Always unlock display correctly
    - man: improve readability of XAllowDeviceEvents
    - man: fix typo in XIQueryDevice doc (closes: #598964)
    - Fix typo when converting raw events from the wire
    - man: XGetDeviceProperty(3) has no parameter 'pending'

 -- Julien Cristau <jcristau@debian.org>  Thu, 18 Nov 2010 17:31:04 +0100

libxi (2:1.3-4) unstable; urgency=low

  * Add udeb needed for the graphical installer: libxi6-udeb.
  * Version/Bump some B-D to make sure the udeb gets its dependencies on
    the (recently-added) udebs rather than on the libraries:
     - libx11-dev
     - libxext-dev
  * Add myself to Uploaders.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 11 Mar 2010 22:49:49 +0100

libxi (2:1.3-3) unstable; urgency=low

  [ Julien Cristau ]
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Remove myself from Uploaders
  * Update patch from 2:1.3-2 to not crash if an app (like, say, anything
    using Qt3) calls libXi functions but the extension isn't available
    (closes: #568323).  Thanks, Roman Mamedov!

  [ Brice Goglin ]
  * Remove Jamey Sharp and Josh Triplett from Uploaders, closes: #568276.

  [ Cyril Brulebois ]
  * Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
  * Upload to unstable.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 03 Mar 2010 22:14:43 +0100

libxi (2:1.3-2) unstable; urgency=low

  * Initialize extension with the right number of events.  This should fix
    issues when libXi announces more events than the X server will actually
    send for that extension, and thus smashes Xlib's event vector (closes:
    #515734, #515946).  Patch by Peter Hutterer, analysis by Nathan Kidd.
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Wed, 06 Jan 2010 16:23:44 +0000

libxi (2:1.3-1) experimental; urgency=low

  * Bump Standards-Version to 3.8.3.
  * Add build-deps on xmlto and asciidoc to build the manpages.
  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Sat, 21 Nov 2009 18:39:28 +0100

libxi (2:1.2.99.4-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * Add README.source from xsfbs.  Bump Standards-Version to 3.8.1.

  [ Julien Cristau ]
  * Move libxi6-dbg to section 'debug'.
  * Drop libxi-dev pre-dependency on x11-common, only needed for upgrades from
    sarge.
  * New upstream release candidate.
  * XInput.h moved here from x11proto-input-dev; add Replaces.
  * Also remove config.h.in in clean.
  * Bump shlibs and update symbols.

 -- Julien Cristau <jcristau@debian.org>  Tue, 29 Sep 2009 14:24:21 +0200

libxi (2:1.2.1-2) unstable; urgency=low

  * Fix typo in debian/rules, which made us build with make -j if
    DEB_BUILD_OPTIONS didn't ask for it.  Thanks to Samuel Thibault for
    reporting the problem!

 -- Julien Cristau <jcristau@debian.org>  Mon, 16 Mar 2009 15:27:45 +0100

libxi (2:1.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Thu, 12 Mar 2009 16:00:29 +0100

libxi (2:1.2.0-2) unstable; urgency=low

  * Add symbols file.
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Mon, 16 Feb 2009 19:53:01 +0100

libxi (2:1.2.0-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.
  * debian/control:
    - Bump x11proto-input-dev build-dep to 1.5.
  * debian/rules:
    - Bump the shlibs for libxi6.

  [ Julien Cristau ]
  * Drop -1 debian revisions from build-deps.
  * Bump Standards-Version to 3.7.3.
  * Drop the XS- prefix from Vcs-* control fields.
  * libxi6{,-dbg} don't need to depend on x11-common.
  * Wrap build-deps in debian/control.
  * Build-depend on automake and libtool, run autoreconf on build, and allow
    parallel builds.
  * Bump libxi-dev's dependency on x11proto-input-dev to 1.5 as well.

  [ Brice Goglin ]
  * Add a link to www.X.org in the long description.

 -- Julien Cristau <jcristau@debian.org>  Fri, 19 Dec 2008 15:55:22 +0100

libxi (2:1.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Mon, 17 Nov 2008 03:16:48 +0100

libxi (2:1.1.3-1) unstable; urgency=low

  * Add upstream URL to debian/copyright.
  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Thu, 06 Sep 2007 01:45:30 +0200

libxi (2:1.1.2-1) unstable; urgency=low

  * New upstream release
    + fixes locking bugs (closes: #429147).
  * Add myself to Uploaders and remove Branden and Fabio with their
    permission.
  * Use ${binary:Version} instead of ${Source-Version}.
  * Add a XS-Vcs-Browser header.

 -- Julien Cristau <jcristau@debian.org>  Wed, 01 Aug 2007 05:07:05 +0200

libxi (2:1.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Fri, 06 Jul 2007 03:52:46 +0200

libxi (2:1.1.0-2) experimental; urgency=low

  * Pull fixes from upstream git.
    + remove patch 00_upstream_002_XiCheckExtInit_unlockdisplay.diff applied
      upstream.
  * Bump epoch to 2 so ubuntu can sync this package.

 -- Julien Cristau <jcristau@debian.org>  Mon,  5 Mar 2007 17:24:20 +0100

libxi (1:1.1.0-1) experimental; urgency=low

  * Adjust Section values to what the override says.
  * Update location of upstream repository from CVS to git in the long
    descriptions.
  * New upstream release.
    + Drop patches applied upstream
    + Bump build-dependency on x11proto-input-dev to >= 1.4.
  * Install the upstream changelog.
  * Add XS-Vcs-Git header in debian/control.

 -- Julien Cristau <jcristau@debian.org>  Fri,  9 Feb 2007 12:34:51 +0100

libxi (1:1.0.1-4) unstable; urgency=low

  * libXi: Various Display locking correctness issues (Closes: #400442)
  * Add Josh and myself to Uploaders.

 -- Jamey Sharp <sharpone@debian.org>  Mon, 27 Nov 2006 15:07:34 -0800

libxi (1:1.0.1-3) unstable; urgency=low

  * Bring X11R7.1 into unstable.  Still closes #377204.
  * dbg package has priority extra.

 -- Drew Parsons <dparsons@debian.org>  Sat, 26 Aug 2006 20:46:35 +1000

libxi (1:1.0.1-2) experimental; urgency=low

  * Patch 10_manpage_section.diff sets the man page section according
    to the definition given by xutils macros.  Set Build-Depends:
    xutils-dev to prove the point.  Install man pages using
    dh_installman.  Closes: #377204.

 -- Drew Parsons <dparsons@debian.org>  Fri, 11 Aug 2006 15:03:27 +1000

libxi (1:1.0.1-1) experimental; urgency=low

  * New upstream version (X11R7.1).
    - applies patch 01_manpage_location.diff.
  * libxi provides no header files, so don't try to install usr/include/X11/*
  * Exclude .la from dh_install.

 -- Drew Parsons <dparsons@debian.org>  Thu, 10 Aug 2006 03:00:53 +1000

libxi (1:1.0.0-6) UNRELEASED; urgency=low

  * Test for obj-$(DEB_BUILD_GNU_TYPE) before creating it during build;
    idempotency fix.
  * Run dh_install w/ --list-missing.
  * Drop duplicate x11-common dep in -dev package.
  * Bump standards version to 3.7.2.0.
  * Version x11-common pre-dep in -dev package to 1:7.0.0 to match
    the rest of Debian.
  * Bump debhelper compat to 5.
  * Fix dh_strip call to skip the -dbg package.

 -- Andres Salomon <dilinger@debian.org>  Mon, 17 Jul 2006 01:21:03 -0400

libxi (1:1.0.0-5) unstable; urgency=low

  * Reorder makeshlib command in rules file so that ldconfig is run
    properly. Thanks Drew Parsons and Steve Langasek.
  * Add quilt to build-depends

 -- David Nusinow <dnusinow@debian.org>  Wed, 19 Apr 2006 00:36:48 -0400

libxi (1:1.0.0-4) unstable; urgency=low

  * Remove references to xss in -dev and -dbg package descriptions. Thanks
    Josh Triplett. (closes: #362059)

 -- David Nusinow <dnusinow@debian.org>  Tue, 11 Apr 2006 20:26:26 -0400

libxi (1:1.0.0-3) unstable; urgency=low

  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Thu, 23 Mar 2006 22:44:42 -0500

libxi (1:1.0.0-2) experimental; urgency=low

  * Backport manpage location fix

 -- David Nusinow <dnusinow@debian.org>  Thu,  9 Mar 2006 23:22:36 -0500

libxi (1:1.0.0-1) experimental; urgency=low

  * First modular upload to Debian
  * Install manpages in libxi-dev. Thanks Julien Cristau.

 -- David Nusinow <dnusinow@debian.org>  Thu, 29 Dec 2005 20:53:15 -0500

libxi (1:1.3.0-2) breezy; urgency=low

  * Bump libx11-dev and libxext-dev Build-Deps to avoid _XOPEN_SOURCE.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Sat, 23 Jul 2005 00:28:53 +1000

libxi (1:1.3.0-1) breezy; urgency=low

  * First libxi release.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 16 May 2005 22:10:17 +1000
